> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sheeping.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 4.- Solicitar envío

> Este endpoint permite **solicitar un envío** a partir de un servicio previamente seleccionado. La solicitud incluye la información del servicio de paquetería, los datos de origen y destino, las características del paquete y notas adicionales para el envío.

La respuesta devuelve la **etiqueta del envío**, toda la información relacionada con el envío creado y el **saldo restante de la cuenta del usuario**, una vez que los datos han sido validados correctamente conforme al servicio elegido.



## OpenAPI

````yaml /openapi.json post /v1/create-shipment
openapi: 3.0.0
info:
  title: SHEEPING.IO - MODULO API
  version: 1.0.0
  description: >-
    Nuestro **Módulo API** está basado en el protocolo **REST**.


    Todas las respuestas de las peticiones se entregan en formato **JSON**


    (y, en casos específicos, **HTML**).


    A través de los distintos **endpoints**, podrás consultar y gestionar
    información relacionada con **envíos**, usuarios y procesos asociados a la
    plataforma.


    Este módulo cuenta con **dos entornos disponibles**:


    - **Sandbox (Pruebas)**
        
    - **Producción**
        

    Para acceder a cada entorno es necesario contar con el **token de
    autenticación correspondiente**.


    ### Colección Postman


    El **Módulo Usuarios** proporciona una **colección en formato JSON
    compatible con Postman**, la cual incluye:


    - Ejemplos de solicitudes
        
    - Ejemplos de respuestas
        
    - Headers preconfigurados
        

    Se recomienda abrir este archivo directamente en **Postman** para facilitar
    la visualización, ejecución de pruebas y validación de cada endpoint de
    forma rápida y estructurada.


    ---


    ## URL Base y Versionado


    Todos los endpoints de la API están disponibles bajo la siguiente **URL
    base**:


    ```

    https://apirest.sheeping.io/v1

     ```

    ### Versionado


    El **Módulo API** utiliza **versionado por URL**.


    En caso de futuras versiones (`/v2`, `/v3`, etc.), estas serán liberadas sin
    afectar las integraciones existentes.


    > Nota: Cualquier cambio relevante será notificado oportunamente para evitar
    interrupciones en los servicios ya integrados. 
      

    ---


    ## Autenticación


    El **Módulo API** autenticación mediante **Bearer Token**.


    Cada solicitud HTTP debe incluir el token en el encabezado (`Header`) de la
    petición.


    ### Headers requeridos


    ```

    Authorization: Bearer <TOKEN>

    Content-Type: application/json

     ```

    - El token identifica el ambiente y los permisos del cliente.
        
    - Sin un token válido, la API responderá con un **error de autenticación
    (401 Unauthorized)**.
        

    ---


    ## Ambientes disponibles


    El **Módulo Usuarios** proporciona **dos tokens de acceso**, uno por cada
    ambiente disponible.


    ### Sandbox (Pruebas)


    - Diseñado para **desarrollo y pruebas**
        
    - No genera envíos reales
        
    - No afecta datos de producción
        
    - Simula el comportamiento del entorno productivo
        

    ### Producción


    - Ambiente real y operativo
        
    - Genera **envíos y guías válidas**
        
    - Debe utilizarse **únicamente** después de validar la integración en
    Sandbox
        

    **Importante:**


    Es responsabilidad del usuario alternar correctamente entre los tokens de
    **Sandbox** y **Producción**, según el entorno en el que se encuentre
    trabajando.


    ---
servers:
  - url: https://apirest.sheeping.io
security: []
paths:
  /v1/create-shipment:
    post:
      summary: 4.- Solicitar envío
      description: >-
        Este endpoint permite **solicitar un envío** a partir de un servicio
        previamente seleccionado. La solicitud incluye la información del
        servicio de paquetería, los datos de origen y destino, las
        características del paquete y notas adicionales para el envío.


        La respuesta devuelve la **etiqueta del envío**, toda la información
        relacionada con el envío creado y el **saldo restante de la cuenta del
        usuario**, una vez que los datos han sido validados correctamente
        conforme al servicio elegido.
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          example: Bearer <TOKEN>
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                service_code:
                  type: string
                origin:
                  type: object
                  properties:
                    company:
                      type: string
                    name:
                      type: string
                    phone:
                      type: string
                      format: utc-millisec
                    email:
                      type: string
                      format: email
                    street:
                      type: string
                    street_number:
                      type: string
                      format: utc-millisec
                    neighborhood:
                      type: string
                    zip_code:
                      type: string
                      format: utc-millisec
                    reference:
                      type: string
                destination:
                  type: object
                  properties:
                    company:
                      type: string
                    name:
                      type: string
                    phone:
                      type: string
                      format: utc-millisec
                    email:
                      type: string
                      format: email
                    street:
                      type: string
                    street_number:
                      type: string
                      format: utc-millisec
                    neighborhood:
                      type: string
                    zip_code:
                      type: string
                      format: utc-millisec
                    reference:
                      type: string
                parcel:
                  type: object
                  properties:
                    description:
                      type: string
                    dimensions:
                      type: object
                      properties:
                        height:
                          type: integer
                        width:
                          type: integer
                        depth:
                          type: integer
                    weight:
                      type: integer
                    declared_value:
                      type: integer
                    insured:
                      type: boolean
                notes:
                  type: string
            example:
              service_code: FEDEX_NACIONAL_ECONOMICO
              origin:
                company: TEST ORIGIN COMPANY
                name: TEST ORIGIN NAME
                phone: '3333333333'
                email: test@mail.com
                street: TEST ORIGIN STREET
                street_number: '1'
                neighborhood: TEST NEIGHBORHOOD
                zip_code: '45530'
                reference: TEST REFERENCE
              destination:
                company: TEST DESTINATION COMPANY
                name: TEST DESTINATION NAME
                phone: '3333333333'
                email: test@mail.com
                street: TEST DESTINATION STREET
                street_number: '1'
                neighborhood: TEST DESTINATION NEIGHBORHOOD
                zip_code: '44100'
                reference: TEST REFERENCE
              parcel:
                description: TEST DESCRIPTION
                dimensions:
                  height: 10
                  width: 20
                  depth: 20
                weight: 69
                declared_value: 100
                insured: false
              notes: TEST NOTES
      responses:
        '200':
          description: 200 OK
          headers:
            Date:
              schema:
                type: string
              example: Tue, 06 Jan 2026 06:49:18 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=bNJwQ2sME%2F%2BxAFMYnUlKcUaRaYqbek%2FlnBSll9HRVUiAFVAwpQV2MmR59gmIw3hd%2BtTI%2B8oVOkkoCrWKv%2FNcIFo4OLA6%2BUmjgtqbKCxzvUZnS4wrGafoNiyCzP4hKnU%3D"}]}
            Content-Encoding:
              schema:
                type: string
              example: br
            CF-RAY:
              schema:
                type: string
              example: 9b99462ad9e721b9-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_balance:
                    type: integer
                  shipment:
                    type: object
                    properties:
                      internal_id:
                        type: string
                      creation_date:
                        type: string
                      modification_date:
                        type: string
                      label_number:
                        type: string
                        format: utc-millisec
                      tracking_number:
                        type: string
                        format: utc-millisec
                      carrier:
                        type: object
                        properties:
                          company_name:
                            type: string
                          service_name:
                            type: string
                          service_image_url:
                            type: string
                            format: uri
                          service_code:
                            type: string
                      delivery:
                        type: object
                        properties:
                          estimated_days:
                            type: string
                          estimated_date:
                            type: string
                            format: date
                          type:
                            type: string
                          zone:
                            type: string
                            format: utc-millisec
                          extended_area:
                            type: boolean
                      origin:
                        type: object
                        properties:
                          company:
                            type: string
                          name:
                            type: string
                          phone:
                            type: string
                            format: utc-millisec
                          email:
                            type: string
                            format: email
                          street:
                            type: string
                          street_number:
                            type: string
                            format: utc-millisec
                          neighborhood:
                            type: string
                          zip_code:
                            type: string
                            format: utc-millisec
                          reference:
                            type: string
                          rfc:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                      destination:
                        type: object
                        properties:
                          company:
                            type: string
                          name:
                            type: string
                          phone:
                            type: string
                            format: utc-millisec
                          email:
                            type: string
                            format: email
                          street:
                            type: string
                          street_number:
                            type: string
                            format: utc-millisec
                          neighborhood:
                            type: string
                          zip_code:
                            type: string
                            format: utc-millisec
                          reference:
                            type: string
                          rfc:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                      parcel:
                        type: object
                        properties:
                          description:
                            type: string
                          dimensions:
                            type: object
                            properties:
                              height:
                                type: integer
                              width:
                                type: integer
                              depth:
                                type: integer
                          weight:
                            type: integer
                          declared_value:
                            type: integer
                          insured:
                            type: boolean
                          bienes_transp:
                            type: string
                            format: utc-millisec
                          paking_code:
                            type: string
                          total_weight:
                            type: integer
                          volumetric_weight:
                            type: integer
                      quotes:
                        type: object
                        properties:
                          base:
                            type: integer
                          extra_weight:
                            type: integer
                          excess_weight:
                            type: integer
                          excess_dimensions:
                            type: integer
                          extended_area:
                            type: integer
                          zonification:
                            type: integer
                          fuel:
                            type: integer
                          insurance:
                            type: integer
                          subtotal:
                            type: integer
                          iva:
                            type: integer
                          total:
                            type: integer
                          currency:
                            type: string
                      notes:
                        type: string
                      label:
                        type: string
                  transaction_id:
                    type: string
              example:
                current_balance: 0
                shipment:
                  internal_id: fde911e5-1b7b-4339-8c85-a9c54fad4b22
                  creation_date: '2026-01-06T00:49:18.565933'
                  modification_date: '2026-01-06T00:49:18.565949'
                  label_number: '794974443985'
                  tracking_number: '794974443985'
                  carrier:
                    company_name: FEDEX
                    service_name: FEDEX EXPRESS SAVER
                    service_code: FEDEX_NACIONAL_ECONOMICO
                    service_image_url: >-
                      https://apirest.sheeping.io/media/services/fedex-logo_yMXXDkB.webp
                    capabilities:
                      supports_cancellation: false
                      supports_pickup: false
                      supports_pickup_cancellation: false
                  delivery:
                    estimated_days: 1 a 3 días hábiles
                    estimated_date: '2026-01-07'
                    type: NORMAL
                    zone: '1'
                    extended_area: false
                    remote_area: false
                  origin:
                    company: TEST ORIGIN COMPANY
                    name: TEST ORIGIN NAME
                    phone: '3333333333'
                    email: test@mail.com
                    street: TEST ORIGIN STREET
                    street_number: '1'
                    neighborhood: TEST NEIGHBORHOOD
                    zip_code: '45530'
                    reference: TEST REFERENCE
                    rfc: XAXX010101000
                    city: San Pedro Tlaquepaque
                    state: Jalisco
                  destination:
                    company: TEST DESTINATION COMPANY
                    name: TEST DESTINATION NAME
                    phone: '3333333333'
                    email: test@mail.com
                    street: TEST DESTINATION STREET
                    street_number: '1'
                    neighborhood: TEST DESTINATION NEIGHBORHOOD
                    zip_code: '44100'
                    reference: TEST REFERENCE
                    rfc: XAXX010101000
                    city: Guadalajara
                    state: Jalisco
                  parcel:
                    description: TEST DESCRIPTION
                    dimensions:
                      height: 10
                      width: 20
                      depth: 20
                    weight: 1
                    declared_value: 100
                    insured: false
                    bienes_transp: '44121500'
                    paking_code: 4G
                    total_weight: 1
                    volumetric_weight: 1
                  quotes:
                    base: 200
                    fast_delivery: 0
                    extra_weight: 0
                    excess_weight: 0
                    excess_dimensions: 0
                    extended_area: 0
                    remote_area: 0
                    zonification: 0
                    fuel: 0
                    insurance: 0
                    subtotal: 200
                    iva: 32
                    total: 232
                    currency: MXN
                  notes: TEST NOTES
                  label: <PDF_B64>
                transaction_id: fde911e5-1b7b-4339-8c85-a9c54fad4b22
        '400':
          description: 400 Bad Request
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Jan 2026 01:03:22 GMT
            Content-Length:
              schema:
                type: integer
              example: 323
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=iS9RgRa4d00N3%2FcqOTGiw7FxjQdPzkouF%2FrZK1RonBMdq0bUuxuAbOM2S%2BCm%2FdklUHYIP92L0TQubQvgLJ8oqs1A13vIudB0hBnvuVa5DSqGOvjsOyJUsMiP5g9Wl6k%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9bb003ad6e0621ad-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        properties:
                          parcel:
                            type: object
                            properties:
                              weight:
                                type: array
                                items:
                                  type: string
                  transaction_id:
                    type: string
              example:
                error:
                  code: INVALID_PARCEL_WEIGHT
                  message: >-
                    Asegúrese de que el peso fisico no sea mayor a 68 Kg y el
                    peso volumetrico no sea mayor a 68 Kg para el servicio FEDEX
                    NACIONAL ECONOMICO.
                  details:
                    parcel:
                      weight:
                        - El peso proporcionado no es válido.
                transaction_id: 06f0be7d-9c56-4eb6-8eea-0b892dbff5d1
        '401':
          description: 401 Unauthorized
          headers:
            Date:
              schema:
                type: string
              example: Mon, 05 Jan 2026 06:38:27 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Origin
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=dRBpQ7eFEK2wMpvp9GV9ABF8mIr%2BTY0wWlixqsCsm5ccOvvUWwR2Yw%2FcfwkLVO%2BVt5WQg5%2BwV%2BqQin9g%2FvE%2BHZxeNoJjaQ47PZem1u0rXk7l350gfrL6rawOpyv9RsY%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9b90f90aac2d21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
        '402':
          description: 402 Payment Required
          headers:
            Date:
              schema:
                type: string
              example: Mon, 05 Jan 2026 06:38:27 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Origin
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=dRBpQ7eFEK2wMpvp9GV9ABF8mIr%2BTY0wWlixqsCsm5ccOvvUWwR2Yw%2FcfwkLVO%2BVt5WQg5%2BwV%2BqQin9g%2FvE%2BHZxeNoJjaQ47PZem1u0rXk7l350gfrL6rawOpyv9RsY%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9b90f90aac2d21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        nullable: true
                  transaction_id:
                    type: string
              example:
                error:
                  code: ERROR_PAYMENT_REQUIRED
                  message: >-
                    Lo sentimos no cuentas con saldo suficiente para generar el
                    envio con FEDEX NACIONAL ECONOMICO, costo de envio 150MXN
                    saldo actual 100MXN faltante 50MXN, favor de contactar a tu
                    asesor.
                  details: null
                transaction_id: 2aefad11-a0f6-4c7d-9601-fdc03309faaf
        '403':
          description: 403 Forbidden
          headers:
            Date:
              schema:
                type: string
              example: Mon, 05 Jan 2026 06:38:27 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Origin
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=dRBpQ7eFEK2wMpvp9GV9ABF8mIr%2BTY0wWlixqsCsm5ccOvvUWwR2Yw%2FcfwkLVO%2BVt5WQg5%2BwV%2BqQin9g%2FvE%2BHZxeNoJjaQ47PZem1u0rXk7l350gfrL6rawOpyv9RsY%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9b90f90aac2d21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        nullable: true
                  transaction_id:
                    type: string
              example:
                error:
                  code: USER_INACTIVE_ERROR
                  message: >-
                    Lo sentimos no puedes realizar esta acción debido a que tu
                    cuenta no esta activa, favor de contactar a tu asesor.
                  details: null
                transaction_id: 2aefad11-a0f6-4c7d-9601-fdc03309faaf
        '404':
          description: 404 Not Found
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Jan 2026 01:01:50 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=8PD9LFQiHgmsNyZT%2BFMQneBDB8HT75ZsGFnlq4n2Cxh7mwFhj%2BEruqEcD1QmWj6ZqOGgjvor7KdfQINTb18PDAvBogXd%2FN4HhtkSyoDBwUIiYJ3lz%2FlhuFAd7JcPqfs%3D"}]}
            Content-Encoding:
              schema:
                type: string
              example: br
            CF-RAY:
              schema:
                type: string
              example: 9bb00170985b21b4-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        nullable: true
                  transaction_id:
                    type: string
              example:
                error:
                  code: SERVICE_ERROR_NO_FOUND
                  message: >-
                    Lo sentimos el servicio TEST SERVICE CODE no se encuentra
                    disponible o no existe, favor de contactar a tu asesor.
                  details: null
                transaction_id: a8e0478e-8df8-4746-9e75-aec1e2a60ca6
        '405':
          description: 405 Method Not Allowed
          headers:
            Date:
              schema:
                type: string
              example: Mon, 05 Jan 2026 06:38:27 GMT
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Origin
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=dRBpQ7eFEK2wMpvp9GV9ABF8mIr%2BTY0wWlixqsCsm5ccOvvUWwR2Yw%2FcfwkLVO%2BVt5WQg5%2BwV%2BqQin9g%2FvE%2BHZxeNoJjaQ47PZem1u0rXk7l350gfrL6rawOpyv9RsY%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9b90f90aac2d21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  status_code:
                    type: integer
              example:
                detail: Método "GET" no permitido.
                status_code: 405
        '406':
          description: 406 Not Acceptable
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Jan 2026 01:09:53 GMT
            Content-Length:
              schema:
                type: integer
              example: 239
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=A%2F5bDmPxGVcoAQkQPgo%2Bd52Dz01njmd7r0E6kXQ548gEQSLCjHeew6kOy1zuCAsZOdxbbwOAqq%2F3ZN%2FtFgMZlrNDwaiKrvOnkEg08IC4XGTb%2FXzoxi3IC2xVjEg0RYc%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9bb00d3cef6c21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        type: object
                        properties:
                          origin:
                            type: object
                            properties:
                              zip_code:
                                type: array
                                items:
                                  type: string
                  transaction_id:
                    type: string
              example:
                error:
                  code: REQUEST_ERROR_406
                  message: Datos de la solicitud incompletos.
                  details:
                    origin:
                      zip_code:
                        - >-
                          Asegúrese de que este campo no tenga más de 5
                          caracteres.
                transaction_id: 6c9caf92-dea3-47cf-965c-47395449c45d
        '500':
          description: 500 Internal Server Error
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Jan 2026 01:09:53 GMT
            Content-Length:
              schema:
                type: integer
              example: 239
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=A%2F5bDmPxGVcoAQkQPgo%2Bd52Dz01njmd7r0E6kXQ548gEQSLCjHeew6kOy1zuCAsZOdxbbwOAqq%2F3ZN%2FtFgMZlrNDwaiKrvOnkEg08IC4XGTb%2FXzoxi3IC2xVjEg0RYc%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9bb00d3cef6c21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        nullable: true
                  transaction_id:
                    type: string
              example:
                error:
                  code: INTERNAL_SERVER_ERROR
                  message: >-
                    Lo sentimos hubo un error inesperado, favor de intentar mas
                    tarde.
                  details: null
                transaction_id: 9f091a8a-a214-4c23-8b89-560670c64714
        '504':
          description: 504 Gateway Timeout
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Jan 2026 01:09:53 GMT
            Content-Length:
              schema:
                type: integer
              example: 239
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: cloudflare
            Nel:
              schema:
                type: string
              example: '{"report_to":"cf-nel","success_fraction":0.0,"max_age":604800}'
            Vary:
              schema:
                type: string
              example: Accept, Accept-Language, Origin
            Allow:
              schema:
                type: string
              example: POST, OPTIONS
            Content-Language:
              schema:
                type: string
              example: es-mx
            X-Frame-Options:
              schema:
                type: string
              example: DENY
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Referrer-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            cf-cache-status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"group":"cf-nel","max_age":604800,"endpoints":[{"url":"https://a.nel.cloudflare.com/report/v4?s=A%2F5bDmPxGVcoAQkQPgo%2Bd52Dz01njmd7r0E6kXQ548gEQSLCjHeew6kOy1zuCAsZOdxbbwOAqq%2F3ZN%2FtFgMZlrNDwaiKrvOnkEg08IC4XGTb%2FXzoxi3IC2xVjEg0RYc%3D"}]}
            CF-RAY:
              schema:
                type: string
              example: 9bb00d3cef6c21b6-GDL
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details:
                        nullable: true
                  transaction_id:
                    type: string
              example:
                error:
                  code: PROVIDER_TIMEOUT
                  message: >-
                    El proveedor está tardando demasiado en responder, favor de
                    intentar mas tarde.
                  details: null
                transaction_id: 9f091a8a-a214-4c23-8b89-560670c64714

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.